Description
Hi,

I've tried this a number of times now and have unsuccessfully upgraded to 3.12 from 3.11.1 because puppetserver can not start up
after upgrade.

| revert snapshot each time and try again, a different approach, with the same result.
Basically, | have the versions shown in the attachment.
When | try to upgrade, | get the issue defined here:

https://community.theforeman.org/t/installation-nightly-builds-fail-to-install/13899

When | revert the snapshot, | remove the puppet software:

1. rpm -ga puppet\*
puppetserver-2.8.1-1.el7.noarch
puppet-foreman_scap_client-0.3.19-1.el7.noarch
puppetlabs-release-pc1-1.1.0-5.el7.noarch
puppet-agent-1.10.14-1.el7.x86_64
puppet-agent-oauth-0.5.1-3.el7.noarch
puppetlabs-stdlib-4.25.1-1.el7.noarch

rpm -e --nodeps puppet-agent.x86_64 puppet-agent-oauth.noarch puppet-foreman_scap_client.noarch
puppetlabs-release-pc1.noarch puppetserver.noarch

and install the new puppet release and puppet server:

yum -y install http://yum.puppetlabs.com/puppet6-release-el-7.noarch.rpom

yum -y install puppet-agent puppet-agent-oauth puppet-foreman_scap_client puppetserver
| start puppet via:

systemctl start puppetserver

and it works.

I then go through the regular update process:

https://theforeman.org/plugins/katello/3.12/upgrade/index.html

and when running:
foreman-installer --scenario katello --upgrade
it fails and the reason it fails, it can't start the puppet server.

| then revert the snapshot again.
https://community.theforeman.org/t/installation-nightly-builds-fail-to-install/13899
http://yum.puppetlabs.com/puppet6-release-el-7.noarch.rpm
https://theforeman.org/plugins/katello/3.12/upgrade/index.html

Please advise how this can be fixed. Thank you.

History

#1 - 06/16/2019 11:17 AM - Tomer Brisker

- Project changed from Foreman to Installer

#2 - 07/22/2019 01:58 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

This is mostly a documentation bug. Puppet 4 (PC1 collection) is EOL and no longer supported. We may still have a few places where we mention
Puppet 4 or don't explicitly mention we dropped Puppet 4.

#3 - 08/17/2019 06:40 AM - Michael Mansour

Hi. I'm currently stuck on the older version of Katello because | can't upgrade (due to this problem).
What am | supposed to do?

Thanks.

#4 - 09/20/2019 07:06 PM - Ewoud Kohl van Wijngaarden

https://community.theforeman.org/c/support is typically more suited for support. There are various threads about upgrading Puppet.
